Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.util
Class InPlaceMergeSorter

    java.lang.Object
      org.apache.lucene.util.Sorter
          org.apache.lucene.util.InPlaceMergeSorter

    public abstract class InPlaceMergeSorter

extends Sorter

`Sorter` implementation based on the merge-sort algorithm that merges in place (no extra memory will be allocated). Small arrays are sorted with insertion sort.

NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

Constructor Summary
`InPlaceMergeSorter()` Create a new `InPlaceMergeSorter`

Method Summary
`void` | `sort(int from, int to)` Sort the slice which starts at `from` (inclusive) and ends at `to` (exclusive).

Methods inherited from class org.apache.lucene.util.Sorter
`compare, swap`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InPlaceMergeSorter

    public InPlaceMergeSorter()

  Create a new `InPlaceMergeSorter`

Method Detail

### sort

    public final void sort(int from,
                           int to)

  Description copied from class: `Sorter`
  Sort the slice which starts at `from` (inclusive) and ends at `to` (exclusive).

  Specified by:
    `sort` in class `Sorter`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.